qubes-gpg-split (2.0.56-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 14 Feb 2022 21:08:45 +0100

qubes-gpg-split (2.0.56-1) unstable; urgency=medium

  [ deeplow ]
  * tests: increase search attempts for thunderbird start
  * tests: earlier detection of failed message sending
  * print failed to send error
  * merge timeout approaches
  * undo removal of resetting dogtail search count
  * tests: reduce whonix boot clock rand during testing

  [ Demi Marie Obenour ]
  * Translate ‘--detach-sig’ to ‘--detach-sign’
  * Allow '--clear-sign' as well as '--clearsign'
  * Fix the Arch build
  * Forcibly disable dirmngr
  * Ignore several options used by kmail
  * Allow --with-secret
  * More robust file descriptor handling
  * Ditch pipecat and fix hangs
  * Ignore various options used by Mailpile
  * Allow `--utf8-strings`
  * Reject non-UTF-8 compatible display charsets
  * Recognize -o in addition to --output
  * Use set_output for -o as well as --output
  * `--output` is more than just stdout redirection
  * Prevent GPG from launching a photo viewer
  * Sanitize arguments to --list-options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 14 Feb 2022 21:08:45 +0100

qubes-gpg-split (2.0.55-1) unstable; urgency=medium

  [ deeplow ]
  * tests: tb add PGP key to acct via user.js
  * tests: remove deprecated enigmail HACK & tb restart

  [ Demi Marie Obenour ]
  * Fix quoting bug
  * Trivial client cleanup
  * Add trailing newline in error message
  * Remove ‘--rfc1991’
  * Fix some bugs in the wrapper script
  * Remove options already ignored in wrapper script
  * Do not allow remote qube to control argv[0] of gpg
  * Better error message if GPG tries to read a password
  * Fix short option handling in wrapper script
  * Reject abbreviated long options
  * Server: reduce getopt_long(3)’s attack surface
  * Never permute arguments and options
  * Require arguments to be printable UTF-8
  * Fix some bugs in the wrapper script
  * Convert --detach into --detach-sign
  * Use bash's [[ consistently
  * Consolidate redundant case branches
  * Avoid mishandling empty strings

  [ Marek Marczykowski-Górecki ]
  * Do not use fancy unicode quotes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 12 Dec 2021 19:45:54 +0100

qubes-gpg-split (2.0.54-1) unstable; urgency=medium

  [ Alyssa Ross ]
  * Fix off-by-one in fd path replacement
  * Make fd path replacement length check clearer

  [ Demi Marie Obenour ]
  * Tighten up parsing of file descriptors

  [ deeplow ]
  * test: add IMAP server as tb 91+ removed movemail
  * tests: thunderbird use user.js for default profile
  * tests: remove autoconf and local account setup code
  * tests: autotype IMAP password
  * tests: fix bug where arguments were missing a space
  * tests: more fixes for tb 91+
  * tests: remove deprecated tb OpenPGP message code
  * tests: tb fix OpenPGP opening in tb91+
  * tests: make thunderbird user.js dynamically generated
  * tests: check mail manually instead
  * tests: improve resilience of OpenPGP button click
  * tests: support windows with role 'frame' or 'dialog'
  * tests: retry "enter imap password" on fail

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Nov 2021 05:08:38 +0100

qubes-gpg-split (2.0.53-1) unstable; urgency=medium

  * Correctly mark --s2k-* options as requiring an argument
  * Properly handle gpg's command options
  * Fix --with-colons declaration
  * Remove duplicated --fixed-list-mode
  * Add --default-recipient option to the parser
  * Fix forbidden option reporting
  * Add --display option to the parser
  * tests: include stderr in the failure message
  * tests: option arguments parsing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 09 Sep 2021 22:27:04 +0200

qubes-gpg-split (2.0.52-1) unstable; urgency=medium

  [ deeplow ]
  * tests: remove deprecated enigmail and tb<78 code
  * tests: remove creation of .gnupg (enigmail req.)
  * tests: manage thunderbird through dedicated class
  * add retry_if_failed wrapper to setup function
  * retry_if_failed add_local_account (now idempotent)
  * use functools wraps in decorator

  [ Marek Marczykowski-Górecki ]
  * tests: avoid redirect to dogtail repo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Sep 2021 03:47:58 +0200

qubes-gpg-split (2.0.51-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ deeplow ]
  * tests: master key sign-only + subkey
  * tests: generate w/ subkeys in remaining tests
  * test: fix missed clicks on "open file" dialogue

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Aug 2021 03:20:31 +0200

qubes-gpg-split (2.0.50-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * Improve reproducibility
  * Allow to override defined CFLAGS

  [ Marek Marczykowski-Górecki ]
  * tests: adjust key import dialog in debian-10

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Dec 2020 18:31:56 +0100

qubes-gpg-split (2.0.49-1) unstable; urgency=medium

  * Adjust tests for Debian 10
  * rpm: skip python3-dogtail on CentOS
  * tests: try to get the main TB window, not any splash screen

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Nov 2020 03:12:57 +0100

qubes-gpg-split (2.0.48-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update makefile
  * Update travis
  * spec: replace hardcoded python3

  [ Ludovic Bellier ]
  * Fix tmpfiles.d using a directory link

  [ Frédéric Pierret (fepitre) ]
  * test_thunderbird: make PEP8 happier
  * test_thunderbird: handle thunderbird-78+
  * tests: enhance behavior and increase action and default delays
  * Fix tests for Thunderbird 68
  * tests: do show_menu_bar after skip_autoconf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 05:16:13 +0200

qubes-gpg-split (2.0.47-1) unstable; urgency=medium

  * Ignore tty/display related options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 Jun 2020 14:19:07 +0200

qubes-gpg-split (2.0.46-1) unstable; urgency=medium

  * Add --unwrap to allowed options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Jun 2020 04:18:48 +0200

qubes-gpg-split (2.0.45-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Made split GPG permission question box nicer

  [ Marek Marczykowski-Górecki ]
  * rpm: do not drop executable bit from qubes.GpgImportKey service
  * Make qubes.GpgImportKey service a proper script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Feb 2020 19:55:51 +0100

qubes-gpg-split (2.0.44-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * Accept --personal-{cipher,...}-preferences with option-argument

  [ Abel Luck ]
  * Whitelist opts to get mozilla/sops compatibility

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Jan 2020 03:51:00 +0100

qubes-gpg-split (2.0.43-1) unstable; urgency=medium

  * Don't include python2 tests on new dom0 (based on >f28)
  * travis: switch to fc31 dom0
  * Fix qrexec policy permission

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 02:59:41 +0100

qubes-gpg-split (2.0.42-1) unstable; urgency=medium

  * tests: improve handling compose window in TB 68

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Dec 2019 05:14:48 +0100

qubes-gpg-split (2.0.41-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * add ignore for --disable-dirmngr option

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:24:17 +0100

qubes-gpg-split (2.0.40-1) unstable; urgency=medium

  [ w1k1n9cc ]
  * Git is great but not in that case ;-)
  * wrong identation

  [ Marek Marczykowski-Górecki ]
  * tests: give more time for the actual test

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Oct 2019 21:52:10 +0200

qubes-gpg-split (2.0.39-1) unstable; urgency=medium

  [ LawAbidingCactus ]
  * remove duplicated option in manpage

  [ Marek Marczykowski-Górecki ]
  * tests: adjust for Thunderbird 68
  * travis: switch to xenial, update distributions, drop R3.2
  * tests: accept "Qubes Attachments" addon

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 30 Sep 2019 00:08:00 +0200

qubes-gpg-split (2.0.38-1) unstable; urgency=medium

  [ redshiftzero ]
  * GpgImportKey: pass --no-tty through

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 May 2019 19:09:03 +0200

qubes-gpg-split (2.0.37-1) wheezy; urgency=medium

  * Do not block actual gpg operation on notification

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 May 2019 18:56:10 +0200

qubes-gpg-split (2.0.36-1) unstable; urgency=medium

  [ Alex Jordan ]
  * Whitelist --export-ssh-key option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 21 Mar 2019 03:59:44 +0100

qubes-gpg-split (2.0.35-1) unstable; urgency=medium

  * tests: improve error reporting
  * tests: update for Thunderbird 60
  * tests: increase timeout for Thunderbird start
  * tests: adjust for Whonix, increase timeouts
  * tests: adjust for TB version in Whonix 14
  * debian: drop autotools in debian/rules
  * tests: force C.UTF-8 locale
  * tests: force C.UTF-8 locale during thunderbird setup too
  * rpm: fix Source0 tag
  * rpm: specify python binaries to build with
  * rpm: fix python macros one more time
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Mar 2019 01:48:25 +0100

qubes-gpg-split (2.0.34-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * tests: add xdotool dependency
  * tests: improve workaround for Whonix's time randomization
  * tests: improve timeout handling in thunderbird tests
  * Ignore --photo-viewer
  * tests: Evolution integration
  * tests: Evolution on Debian
  * debian: install test_evolution.py
  * tests/thunderbird: give a file choosing dialog a little time
  * Move confirmation prompt to qubes.Gpg shell script
  * Wait for GUI session before asking the user for confirmation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Dec 2018 14:39:23 +0100

qubes-gpg-split (2.0.33-1) unstable; urgency=medium

  * tests: handle desynced clock in Whonix also in basic tests
  * tests: avoid non-ASCII characters in test results
  * rpm: add BR: gcc
  * tests: fix race condition on .gnupg creation in key import tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 23:57:45 +0200

qubes-gpg-split (2.0.32-1) unstable; urgency=medium

  * tests: fix race condition on .gnupg creation
  * tests: convert to gpg2
  * tests/thunderbid: improve handling file selection dialog
  * tests/thunderbird: improve error reporting
  * tests/thunderbird: disable pEp before setting anything else
  * tests/thunderbird: make Enigmail settings work with TB 60
  * tests/thunderbird: handle addons manager in TB 60+
  * tests/thunderbird: autoconfiguration prompt in TB 60
  * tests/thunderbird: tweaks for Thunderbird 60
  * tests/thunderbird: disable html message composing
  * tests/thunderbird: use Node.child instead of GenericPredicate
  * tests/thunderbird: switch to python3
  * travis: update config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Sep 2018 04:42:33 +0200

qubes-gpg-split (2.0.31-1) unstable; urgency=medium

  * Allow --logger-fd option
  * Emulate --log-file with --logger-fd

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jun 2018 00:46:47 +0200

qubes-gpg-split (2.0.30-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Add --sender and --set-filename option to the whitelist
  * tests: update for Enigmail 2.0

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * src: add debug '-g'
  * spec.in: add changelog placeholder
  * Fix GCC8 warnings

  [ Marek Marczykowski-Górecki ]
  * travis: add R4.0, remove R3.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Apr 2018 04:41:31 +0200

qubes-gpg-split (2.0.29-1) unstable; urgency=medium

  [ hark ]
  * Use local gpg when access to keyring is not needed.
  * use array
  * remove passprase-fd

  [ Marek Marczykowski-Górecki ]
  * Add --no-auto-check-trustdb option to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 28 Mar 2018 03:54:29 +0200

qubes-gpg-split (2.0.28-1) unstable; urgency=medium

  * tests: install also for python3 - for Qubes 4.0
  * tests: avoid interactive password prompt on gpg 2.1
  * rpm: fix build dependencies for python3
  * tests: some more places for gpg 2.1 password prompt, improve
    reporting,
  * Add support for --enable-special-filenames
  * Add more options to the whitelist
  * Fix handling -q option
  * Whitelist --{cert,sig,set}-notation options
  * Add --verify-options to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 15:24:03 +0100

qubes-gpg-split (2.0.27-1) unstable; urgency=medium

  [ Nedyalko Andreev ]
  * Fix archlinux package - remove /var/run
  * Fix minor indentation and shellcheck issues

  [ Olivier MEDOC ]
  * archlinux: rename package to follow other distributions naming

  [ Marek Marczykowski-Górecki ]
  * Add list-options to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 04:44:17 +0100

qubes-gpg-split (2.0.26-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: fix Depends:

  [ anoadragon453 ]
  * Add expire time to GPG access notifications

  [ Marek Marczykowski-Górecki ]
  * Convert tabs to spaces
  * Add hidden recipients related options
  * Whitelist --keyid-format
  * Add --throw-keyids/--no-throw-keyids options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Jul 2017 13:23:53 +0200

qubes-gpg-split (2.0.25-1) unstable; urgency=medium

  [ Nicklaus McClendon ]
  * Removed .travis.yml debootstrap fix
  * Added basic README.md
  * Added manpages
  * Added pandoc to Arch package dependencies
  * Print to standard out if output is '-'

  [ Marek Marczykowski-Górecki ]
  * typo fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 May 2017 15:02:19 +0200

qubes-gpg-split (2.0.24-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: exclude Whonix Gateway
  * tests: disable logging to file to avoid utf-8 handling problems
  * tests: give TB some time to handle message
  * tests: workaround time desynchronization issues on Whonix

  [ Jacob Jenner Rasmussen ]
  * archlinux support

  [ Marek Marczykowski-Górecki ]
  * Don't trash stderr with zenity messages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Nov 2016 02:00:39 +0100

qubes-gpg-split (2.0.23-1) wheezy; urgency=medium

  * Don't mix stdout and --output content
  * Implement the --status-fd workflow for other data-outputing options
  * tests: add test for --status-fd 1 and --output conflict

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 05:22:53 +0200

qubes-gpg-split (2.0.22-1) wheezy; urgency=medium

  * Redirect qubes-gpg-client-wrapper --import into qubes-gpg-import-key
  * Fix handling --verify option validation
  * Allow --export option
  * Allow --enable-progress-filter option
  * Allow --hidden-recipient option
  * tests: inline signature and mails with attachments

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 12 Jul 2016 00:42:10 +0200

qubes-gpg-split (2.0.21-1) wheezy; urgency=medium

  * travis: initial version
  * rpm: add missing python-setuptools BR

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Jun 2016 04:29:37 +0200

qubes-gpg-split (2.0.20-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Remove duplicated entries

  [ viq ]
  * Attempt at making GPG password managers to work

  [ Marek Marczykowski-Górecki ]
  * Allow --no-encrypt-to and --compress-algo
  * Minor fix for handling --output
  * tests: test for --output option
  * tests: typo
  * tests: adjust for newer Thunderbird/Enigmail

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 02 May 2016 03:53:14 +0200

qubes-gpg-split (2.0.19-1) wheezy; urgency=medium

  [ Boris Prüßmann ]
  * Use gpg2 in GpgImportKey

  [ Marek Marczykowski-Górecki ]
  * Fix gpg version in package dependencies
  * Add tests for direct usage and in Thunderbird
  * tests: enable network access for test VMs
  * Use /usr/bin/gpg2 instead of /bin/gpg2
  * tests: fix qrexec policy setting
  * tests: add qubes-gpg-import-key test

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 24 Mar 2016 20:47:02 +0100

qubes-gpg-split (2.0.18-1) wheezy; urgency=medium

  * Ignore --keyserver-options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 01 Mar 2016 00:09:38 +0100

qubes-gpg-split (2.0.17-1) wheezy; urgency=medium

  [ Noah Vesely ]
  * Split GPG depends on zenity for user prompts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Nov 2015 04:36:01 +0100

qubes-gpg-split (2.0.16-1) wheezy; urgency=medium

  [ Axon ]
  * Use gpg2 by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Nov 2015 03:43:37 +0100

qubes-gpg-split (2.0.15-1) wheezy; urgency=medium

  * Fix handling stderr write errors

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Oct 2015 15:20:05 +0100

qubes-gpg-split (2.0.14-1) wheezy; urgency=medium

  * Add a couple of options useful in batch mode to allowed list

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 Oct 2015 13:51:11 +0200

qubes-gpg-split (2.0.13-1) wheezy; urgency=medium

  * Add missing dependency on zenity

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Sep 2015 01:28:44 +0200

qubes-gpg-split (2.0.12-1) wheezy; urgency=medium

  * gitignore pkgs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Sep 2015 02:46:47 +0200

qubes-gpg-split (2.0.11-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Added Debian packaging
  * debian: Change path of gpg to /usr/bin/gpg from /bin/gpg
  * debian: Added deb/ to .gitignore
  * Use DEBIAN_PARSER variable provided by builder

  [ Marek Marczykowski-Górecki ]
  * Fix compile flags

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Mar 2015 00:33:35 +0100

qubes-gpg-split (2.0.10-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Tue, 25 Feb 2015 00:00:00 +0000
